QSGIStyle(3qt)

NAME
QSGIStyle - SGI/Irix look and feel

SYNOPSIS
#include <qsgistyle.h>

Inherits QMotifStyle.

  Public Members
QSGIStyle ( bool useHighlightCols = FALSE )
virtual ~QSGIStyle ()

DESCRIPTION
The QSGIStyle class provides SGI/Irix look and feel.

This class implements the SGI look and feel. It resembles the SGI/Irix Motif GUI style as closely as QStyle allows.

See also Widget Appearance and Style.

MEMBER FUNCTION DOCUMENTATION

QSGIStyle::QSGIStyle ( bool useHighlightCols = FALSE )
Constructs a QSGIStyle.

If useHighlightCols is FALSE (default value), the style will polish the application's color palette to emulate the Motif way of highlighting, which is a simple inversion between the base and the text color.

See also QMotifStyle::useHighlightColors().

QSGIStyle::~QSGIStyle () [virtual]
Destroys the style.

SEE ALSO
http://doc.trolltech.com/qsgistyle.html http://www.trolltech.com/faq/tech.html

COPYRIGHT
Copyright 1992-2001 Trolltech AS, http://www.trolltech.com. See the license file included in the distribution for a complete license statement.

AUTHOR
Generated automatically from the source code.

BUGS
If you find a bug in Qt, please report it as described in http://doc.trolltech.com/bughowto.html. Good bug reports help us to help you. Thank you.

The definitive Qt documentation is provided in HTML format; it is located at $QTDIR/doc/html and can be read using Qt Assistant or with a web browser. This man page is provided as a convenience for those users who prefer man pages, although this format is not officially supported by Trolltech.

If you find errors in this manual page, please report them to qt-bugs@trolltech.com. Please include the name of the manual page (qsgistyle.3qt) and the Qt version (3.0.3).